import React from "react"
import PropTypes from "prop-types"
import { Directory } from "../generated/graphql"

interface Props {
    dir: Directory
}

const DirectoryElement: React.FC<Props> = (props) => {
	return (
		<>
			<td>
				📂 {props.dir.name}
			</td>
			<td>
			</td>
			<td>	
			</td>
		</>
	)
}

DirectoryElement.propTypes = {
	dir: PropTypes.any.isRequired // TODO: maybe you can use the interface
}

export default DirectoryElement